openejb-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Blevins <david.blev...@visi.com>
Subject Re: OpenEJB support for EJB 2.1?
Date Fri, 20 Jul 2007 03:07:18 GMT
Hi Phil, just noticed you weren't subscribed to the list so sending  
you another response.

The site has just recently been updated in preparation for the  
OpenEJB 3.0 release which supports 3.0 (and 2.1, 2.0, 1.1).  The  
OpenEJB 1.0 download however is just EJB 1.1 with added support for  
EJB 2.0 local interfaces.

There is an unstable build from last week available here for testing:

   http://people.apache.org/~dblevins/openejb-3.0.0-556337/

Warning the README files in that may be out of date, we're still in  
the process of updating all the docs as this is the first non- 
Geronimo-only release since 1.0.

The best usage path would be to:

1. Unpack
2. boot the server (./bin/openejb start)
3. run --help on the deploy tool for more direction (./bin/openejb -- 
help)

-David


On Jul 5, 2007, at 3:01 PM, Phil Wilson wrote:

> Hi,
>
> The FAQ says OpenEJB supports EJB 3.0, but is there full suppor for  
> 2.1? I'm porting an old EJB2.1 app and running
>
> openejb deploy -a -f -c model.jar
>
> gives me:
>
> OPENEJB_HOME=c:/stuff/unzipped/openejb-1.0
> OpenEJB Deploy Tool 1.0    build: 20060226-1701
> http://www.openejb.org
>
>
> ERROR in model.jar
> Cannot parse the XML of the ejb-jar.xml file. Received message:  
> unable to find FieldDescriptor for 'cmp-version' in ClassDescriptor  
> of entity
>
> A number of the beans do specify <cmp-version>2.x</cmp-version> in  
> ejb-jar.xml
>
> If I remove the cmp-version declarations (which I think are  
> actually needed), then it chokes on the <abstract-schema-name>  
> element.
>
> Any advice?
>
> Many thanks.
>
> Phil WIlson
>


Mime
View raw message